<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwConfigurationDB: fwConfigurationDB_Setup.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwConfigurationDB
   &#160;<span id="projectnumber">8.4.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fwConfigurationDB__Setup_8ctl.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwConfigurationDB_Setup.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a36fa8847cfbac1fb41a362b90663d841"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Setup_8ctl.html#a36fa8847cfbac1fb41a362b90663d841">fwConfigurationDB_dropDBSchema</a> (dbConnection dbCon, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a36fa8847cfbac1fb41a362b90663d841"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa64b7a95bbb63586cf49743b2c8822ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Setup_8ctl.html#aa64b7a95bbb63586cf49743b2c8822ec">fwConfigurationDB_getDBConnectionList</a> (dyn_string &amp;dbConnectionNames, dyn_string &amp;dbConnectionDPs, dyn_string &amp;exceptionInfo, bool getRemote=FALSE)</td></tr>
<tr class="separator:aa64b7a95bbb63586cf49743b2c8822ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8efb90e5ae50132fc8f3cd144170cfc5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Setup_8ctl.html#a8efb90e5ae50132fc8f3cd144170cfc5">fwConfigurationDB_modifyDBConnection</a> (string dbConnectionName, string description, string dbType, string dbName, string userName, string password, string connectString, string schemaName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a8efb90e5ae50132fc8f3cd144170cfc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0347f23584fe9f401f1e5b62873f14d5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Setup_8ctl.html#a0347f23584fe9f401f1e5b62873f14d5">_fwConfigurationDB_DBSchemaSanityCheck</a> (dbConnection dbCon, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a0347f23584fe9f401f1e5b62873f14d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Recipe Type functions</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>These functions are used in context of recipe types. Recipe type uses RTdata object described in subsection <a class="el" href="index.html#RTData">RTData</a> </p>
</div></td></tr>
<tr class="memitem:a2ad0e5c8219b03e86b81944cb1dc67ee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Setup_8ctl.html#a2ad0e5c8219b03e86b81944cb1dc67ee">fwConfigurationDB_createRecipeType</a> (string recipeType, string recipeComment, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a2ad0e5c8219b03e86b81944cb1dc67ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac53bf138f61d00b8a5304caa766912bd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Setup_8ctl.html#ac53bf138f61d00b8a5304caa766912bd">fwConfigurationDB_deleteRecipeType</a> (string recipeType, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ac53bf138f61d00b8a5304caa766912bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fd470653a15ac99e17bc1a31dda10f4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Setup_8ctl.html#a2fd470653a15ac99e17bc1a31dda10f4">fwConfigurationDB_getRecipeTypes</a> (dyn_string &amp;recipeTypeNames, dyn_string &amp;recipeTypeComments, dyn_string &amp;exceptionInfo, string systemName=&quot;&quot;)</td></tr>
<tr class="separator:a2fd470653a15ac99e17bc1a31dda10f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fa13b33446a547c1035e586fcb38424"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Setup_8ctl.html#a3fa13b33446a547c1035e586fcb38424">fwConfigurationDB_findRecipeTypes</a> (string dpType, dyn_string &amp;recipeTypeNames, dyn_string &amp;exceptionInfo, string systemName=&quot;&quot;)</td></tr>
<tr class="separator:a3fa13b33446a547c1035e586fcb38424"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bf46e88f7970a38fd390a911efbae24"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5bf46e88f7970a38fd390a911efbae24"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_getRTDescription</b> (string recipeType, string &amp;description, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a5bf46e88f7970a38fd390a911efbae24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbbe69e468ee2715812f21594965505d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abbbe69e468ee2715812f21594965505d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_setRTDescription</b> (string recipeType, string description, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:abbbe69e468ee2715812f21594965505d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2af2428a632d55680b9cf4e89b6d0da4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2af2428a632d55680b9cf4e89b6d0da4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_getRecipeTypeData</b> (string recipeType, dyn_dyn_string &amp;RTData, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a2af2428a632d55680b9cf4e89b6d0da4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a361018050d88207023a2b7d02bf9c383"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Setup_8ctl.html#a361018050d88207023a2b7d02bf9c383">_fwConfigurationDB_setRecipeTypeData</a> (string recipeType, dyn_dyn_string RTData, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a361018050d88207023a2b7d02bf9c383"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11e3c87e38192f6c114695c7e8b358d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a11e3c87e38192f6c114695c7e8b358d8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_RTAddToModel</b> (string dptName, dyn_dyn_string &amp;RTData, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a11e3c87e38192f6c114695c7e8b358d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac43fc21cc955da7859cbc0f8305da7ef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Setup_8ctl.html#ac43fc21cc955da7859cbc0f8305da7ef">fwConfigurationDB_getRecipeTypeDataMapping</a> (string recipeType, mapping &amp;rtElements, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ac43fc21cc955da7859cbc0f8305da7ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This package contains setup functions of the Configuration Database tool</p>
<p>(c) Copyright CERN, All Rights Reserved </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a36fa8847cfbac1fb41a362b90663d841"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_dropDBSchema </td>
          <td>(</td>
          <td class="paramtype">dbConnection&#160;</td>
          <td class="paramname"><em>dbCon</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This one does not stop upon an error, which may be e.g. missing table, etc... </p>

</div>
</div>
<a class="anchor" id="aa64b7a95bbb63586cf49743b2c8822ec"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_getDBConnectionList </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dbConnectionNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dbConnectionDPs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>getRemote</em> = <code>FALSE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns the list of configured db connections </p>

</div>
</div>
<a class="anchor" id="a8efb90e5ae50132fc8f3cd144170cfc5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_modifyDBConnection </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dbConnectionName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>description</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dbType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dbName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>userName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>password</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>connectString</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>schemaName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Modifies specified db connection
</pre><p>Warning; if empty password is specified, the password will not be changed (it is left as it is) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">password</td><td>needs to be specified in unencrypted form(!) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0347f23584fe9f401f1e5b62873f14d5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_DBSchemaSanityCheck </td>
          <td>(</td>
          <td class="paramtype">dbConnection&#160;</td>
          <td class="paramname"><em>dbCon</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Performs sanity checks of the database schema, signals errors, tries to recover as much as possible. </p>

</div>
</div>
<a class="anchor" id="a2ad0e5c8219b03e86b81944cb1dc67ee"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_createRecipeType </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>recipeType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>recipeComment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">creates an empty recipe type with given name and description
</pre><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">recipeType</td><td>specifies the name of the recipe type </td></tr>
    <tr><td class="paramname">recipeComment</td><td>specifies the description </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac53bf138f61d00b8a5304caa766912bd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_deleteRecipeType </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>recipeType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">deletes a recipe type
</pre><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">recipeType</td><td>specifies the name of the recipe type </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2fd470653a15ac99e17bc1a31dda10f4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_getRecipeTypes </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>recipeTypeNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>recipeTypeComments</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>systemName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">returns the list of available recipe types
</pre><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">recipeTypeNames</td><td>on return contains the list of recipe type names </td></tr>
    <tr><td class="paramname">recipeTypeComments</td><td>on return contains the list of recipe type comments </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable </td></tr>
    <tr><td class="paramname">systemName</td><td>allows to search for recipe types on remote systems </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3fa13b33446a547c1035e586fcb38424"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_findRecipeTypes </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>recipeTypeNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>systemName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">returns the recipe types that contain descriptions for certain dp type
</pre><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpType</td><td>datapoint type for which the recipe types are queried </td></tr>
    <tr><td class="paramname">recipeTypeNames</td><td>on return contains the list of recipe type names </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a361018050d88207023a2b7d02bf9c383"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_setRecipeTypeData </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>recipeType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_string&#160;</td>
          <td class="paramname"><em>RTData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Modifies specified recipe type
</pre><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">recipeType</td><td>the name of the recipe type </td></tr>
    <tr><td class="paramname">RTData</td><td>an object holding recipe type definition, in the following format: (i indicating subsequent "rows" of recipe type definition) RTData[i][1] : (not used in this function) RTData[i][2] : DPType name RTData[i][3] : DPElement name RTData[i][4] : (not used in this function) RTData[i][5] : Save value for this element: "TRUE"/"FALSE" RTData[i][6] : Save alert for this element: "TRUE"/"FALSE" </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac43fc21cc955da7859cbc0f8305da7ef"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_getRecipeTypeDataMapping </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>recipeType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping &amp;&#160;</td>
          <td class="paramname"><em>rtElements</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>convert the recipeTypeData to useful form: mapping with keys being DPTypes and values being list of elements that are to be stored </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwConfigurationDB__Setup_8ctl.html">fwConfigurationDB_Setup.ctl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
